// REVISION    : $Revision: 1.1 $
//                   MENTOR Proprietary and Confidential
//                       Copyright (c) 2003, MENTOR
`timescale 1ns/1ns
module
CoreTSE_M2S090_CORETSE_AHB_0_PECAR
(
CORETSEoIi0
,
CORETSEiIi0
,
CORETSEOli0
,
CORETSEli0I
,
CORETSEoi0I
,
CORETSEIli0
,
CORETSElli0
,
CORETSEl
,
CORETSEo
,
CORETSEoli0
,
CORETSEili0
,
CORETSEIoi0
,
CORETSEO0I1
,
CORETSEI0I1
,
CORETSEIIi0
,
CORETSEo1i0
,
CORETSEl1i0
,
CORETSEiIOI
,
CORETSEIiO1
,
CORETSEliO1
,
CORETSEoiO1
,
CORETSEiiO1
,
CORETSEOOI1
,
CORETSEl0I1
,
CORETSEo0I1
,
CORETSEIOI1
,
CORETSEllI1
,
CORETSEolI1
,
CORETSEOii0
,
CORETSEIii0
,
CORETSElii0
,
CORETSEoii0
,
CORETSEiii0
,
CORETSEOlO1
,
CORETSEIlO1
,
CORETSEOo1I
,
CORETSEi0
,
CORETSEOO1l
,
CORETSEOlo
,
CORETSEilOI
,
CORETSEO0OI
,
CORETSElOI1
,
CORETSEIIO1
,
CORETSElIO1
,
CORETSEoIO1
,
CORETSEi0I1
,
CORETSEO1I1
,
CORETSEI1I1
)
;
input
CORETSEoIi0
,
CORETSEiIi0
,
CORETSEOli0
;
input
CORETSEli0I
,
CORETSEoi0I
;
input
CORETSEIli0
,
CORETSElli0
;
input
CORETSEl
,
CORETSEo
;
input
CORETSEoli0
,
CORETSEili0
;
input
CORETSEIoi0
;
input
CORETSEO0I1
,
CORETSEI0I1
,
CORETSEIIi0
;
input
CORETSEo1i0
,
CORETSEl1i0
,
CORETSEiIOI
;
input
CORETSEIiO1
,
CORETSEliO1
,
CORETSEoiO1
,
CORETSEiiO1
;
input
CORETSEOOI1
,
CORETSEl0I1
,
CORETSEo0I1
;
input
CORETSEIOI1
;
input
CORETSEllI1
,
CORETSEolI1
;
input
CORETSEOii0
;
output
CORETSEIii0
,
CORETSElii0
;
output
CORETSEoii0
,
CORETSEiii0
;
output
CORETSEOlO1
,
CORETSEIlO1
;
output
CORETSEOo1I
,
CORETSEi0
,
CORETSEOO1l
,
CORETSEOlo
;
output
CORETSEilOI
,
CORETSEO0OI
;
output
CORETSElOI1
;
output
CORETSEIIO1
;
output
CORETSElIO1
;
output
CORETSEoIO1
;
output
CORETSEi0I1
;
output
CORETSEO1I1
;
output
CORETSEI1I1
;
parameter
CORETSEOII
=
1
;
wire
CORETSEOol1
;
reg
CORETSEIol1
,
CORETSElol1
;
wire
CORETSEool1
;
wire
CORETSEiol1
;
reg
CORETSEOil1
,
CORETSEIil1
;
wire
CORETSElil1
;
wire
CORETSEoil1
;
reg
CORETSEiil1
,
CORETSEOO01
;
wire
CORETSEIO01
;
wire
CORETSElO01
;
reg
CORETSEoO01
,
CORETSEiO01
;
wire
CORETSEOI01
;
wire
CORETSEo1OI
;
reg
CORETSEi1OI
,
CORETSEOoOI
;
wire
CORETSEIoOI
;
wire
CORETSEloOI
;
reg
CORETSEooOI
,
CORETSEioOI
;
wire
CORETSEOiOI
;
wire
CORETSEII01
;
reg
CORETSElI01
,
CORETSEoI01
;
wire
CORETSEiI01
;
wire
CORETSEOl01
;
reg
CORETSEIl01
,
CORETSEll01
;
wire
CORETSEol01
;
wire
CORETSEil01
;
reg
CORETSEO001
,
CORETSEI001
;
wire
CORETSEl001
;
reg
CORETSEo001
,
CORETSEi001
;
wire
CORETSEO101
;
reg
CORETSEI101
;
reg
CORETSEl101
;
wire
CORETSEo101
;
wire
CORETSEi101
;
reg
CORETSEOo01
,
CORETSEIo01
;
wire
CORETSElo01
;
reg
CORETSEoo01
,
CORETSEio01
;
wire
CORETSEOi01
;
reg
CORETSEIi01
,
CORETSEli01
;
wire
CORETSEoi01
;
wire
CORETSEii01
;
reg
CORETSEOO11
,
CORETSEIO11
;
wire
CORETSElO11
;
reg
CORETSEoO11
,
CORETSEiO11
;
wire
CORETSEOI11
;
wire
CORETSEII11
;
wire
CORETSElI11
;
assign
CORETSEOol1
=
CORETSEl1i0
|
CORETSEiIOI
;
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEIol1
<=
#
CORETSEOII
CORETSEOol1
;
end
always
@
(
posedge
CORETSEIli0
)
begin
CORETSElol1
<=
#
CORETSEOII
CORETSEIol1
;
end
assign
CORETSEool1
=
CORETSEOol1
|
CORETSElol1
;
assign
CORETSEOlO1
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSEool1
;
assign
CORETSEiol1
=
CORETSEl1i0
|
CORETSEiIOI
;
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEOil1
<=
#
CORETSEOII
CORETSEiol1
;
end
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEIil1
<=
#
CORETSEOII
CORETSEOil1
;
end
assign
CORETSElil1
=
CORETSEiol1
|
CORETSEIil1
;
assign
CORETSEIlO1
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSElil1
;
assign
CORETSEoil1
=
CORETSEl1i0
|
CORETSEiIOI
|
CORETSEIiO1
;
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEiil1
<=
#
CORETSEOII
CORETSEoil1
;
end
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEOO01
<=
#
CORETSEOII
CORETSEiil1
;
end
assign
CORETSEIO01
=
CORETSEoil1
|
CORETSEOO01
;
assign
CORETSEOo1I
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSEIO01
;
assign
CORETSElO01
=
CORETSEl1i0
|
CORETSEiIOI
|
CORETSEliO1
;
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEoO01
<=
#
CORETSEOII
CORETSElO01
;
end
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEiO01
<=
#
CORETSEOII
CORETSEoO01
;
end
assign
CORETSEOI01
=
CORETSElO01
|
CORETSEiO01
;
assign
CORETSEi0
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSEOI01
;
assign
CORETSEo1OI
=
CORETSEl1i0
|
CORETSEiIOI
|
CORETSEl0I1
;
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEi1OI
<=
#
CORETSEOII
CORETSEo1OI
;
end
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEOoOI
<=
#
CORETSEOII
CORETSEi1OI
;
end
assign
CORETSEIoOI
=
CORETSEo1OI
|
CORETSEOoOI
;
assign
CORETSEilOI
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSEIoOI
;
assign
CORETSEloOI
=
CORETSEl1i0
|
CORETSEiIOI
|
CORETSEo0I1
;
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEooOI
<=
#
CORETSEOII
CORETSEloOI
;
end
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEioOI
<=
#
CORETSEOII
CORETSEooOI
;
end
assign
CORETSEOiOI
=
CORETSEloOI
|
CORETSEioOI
;
assign
CORETSEO0OI
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSEOiOI
;
assign
CORETSEII01
=
CORETSEl1i0
|
CORETSEiIOI
|
CORETSEoiO1
;
always
@
(
posedge
CORETSEIli0
)
begin
CORETSElI01
<=
#
CORETSEOII
CORETSEII01
;
end
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEoI01
<=
#
CORETSEOII
CORETSElI01
;
end
assign
CORETSEiI01
=
CORETSEII01
|
CORETSEoI01
;
assign
CORETSEOO1l
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSEiI01
;
assign
CORETSEOl01
=
CORETSEl1i0
|
CORETSEiIOI
|
CORETSEiiO1
;
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEIl01
<=
#
CORETSEOII
CORETSEOl01
;
end
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEll01
<=
#
CORETSEOII
CORETSEIl01
;
end
assign
CORETSEol01
=
CORETSEOl01
|
CORETSEll01
;
assign
CORETSEOlo
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSEol01
;
assign
CORETSEil01
=
CORETSEl1i0
|
CORETSEiIOI
|
CORETSEOOI1
;
always
@
(
posedge
CORETSEIoi0
)
begin
CORETSEO001
<=
#
CORETSEOII
CORETSEil01
;
end
always
@
(
posedge
CORETSEIoi0
)
begin
CORETSEI001
<=
#
CORETSEOII
CORETSEO001
;
end
assign
CORETSEl001
=
CORETSEil01
|
CORETSEI001
;
assign
CORETSElOI1
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSEl001
;
always
@
(
posedge
CORETSEoIi0
)
begin
CORETSEo001
<=
#
CORETSEOII
CORETSEl1i0
;
end
always
@
(
posedge
CORETSEoIi0
)
begin
CORETSEi001
<=
#
CORETSEOII
CORETSEo001
;
end
assign
CORETSEO101
=
CORETSEl1i0
|
CORETSEi001
;
always
@
(
posedge
CORETSEoIi0
)
begin
if
(
CORETSEO101
)
CORETSEI101
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEI101
<=
#
CORETSEOII
~
CORETSEI101
;
end
assign
CORETSEIii0
=
(
CORETSEOli0
)
?
CORETSEI101
:
CORETSEli0I
;
assign
CORETSElii0
=
CORETSEoi0I
;
always
@
(
posedge
CORETSEoIi0
)
begin
if
(
CORETSEO101
)
CORETSEl101
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEl101
<=
#
CORETSEOII
~
CORETSEl101
;
end
assign
CORETSEo101
=
(
CORETSEOli0
)
?
CORETSEl101
:
CORETSEl
;
assign
CORETSEoii0
=
(
CORETSEOii0
|
~
CORETSEIIi0
)
&
CORETSEo101
|
(
~
CORETSEOii0
&
CORETSEIIi0
)
&
CORETSEO0I1
;
assign
CORETSEiii0
=
(
CORETSEOii0
|
~
CORETSEIIi0
)
&
CORETSEo
|
(
~
CORETSEOii0
&
CORETSEIIi0
)
&
CORETSEI0I1
;
assign
CORETSEi101
=
CORETSEl1i0
|
CORETSEiIOI
|
CORETSEIOI1
;
always
@
(
posedge
CORETSEiIi0
)
begin
CORETSEOo01
<=
#
CORETSEOII
CORETSEi101
;
end
always
@
(
posedge
CORETSEiIi0
)
begin
CORETSEIo01
<=
#
CORETSEOII
CORETSEOo01
;
end
assign
CORETSElo01
=
CORETSEi101
|
CORETSEIo01
;
assign
CORETSEIIO1
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSElo01
;
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEoo01
<=
#
CORETSEOII
CORETSEi101
;
end
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEio01
<=
#
CORETSEOII
CORETSEoo01
;
end
assign
CORETSEOi01
=
CORETSEi101
|
CORETSEio01
;
assign
CORETSElIO1
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSEOi01
;
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEIi01
<=
#
CORETSEOII
CORETSEi101
;
end
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEli01
<=
#
CORETSEOII
CORETSEIi01
;
end
assign
CORETSEoi01
=
CORETSEi101
|
CORETSEli01
;
assign
CORETSEoIO1
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSEoi01
;
assign
CORETSEii01
=
CORETSEl1i0
|
CORETSEiIOI
|
CORETSEllI1
;
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEOO11
<=
#
CORETSEOII
CORETSEii01
;
end
always
@
(
posedge
CORETSEIli0
)
begin
CORETSEIO11
<=
#
CORETSEOII
CORETSEOO11
;
end
assign
CORETSElO11
=
CORETSEii01
|
CORETSEIO11
;
assign
CORETSEi0I1
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSElO11
;
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEoO11
<=
#
CORETSEOII
CORETSEii01
;
end
always
@
(
posedge
CORETSEoli0
)
begin
CORETSEiO11
<=
#
CORETSEOII
CORETSEoO11
;
end
assign
CORETSEOI11
=
CORETSEii01
|
CORETSEiO11
;
assign
CORETSEO1I1
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSEOI11
;
assign
CORETSEII11
=
CORETSEl1i0
|
CORETSEiIOI
|
CORETSEolI1
;
assign
CORETSElI11
=
CORETSEII11
;
assign
CORETSEI1I1
=
CORETSEOii0
?
CORETSEl1i0
:
CORETSElI11
;
endmodule
